Opcom Firmware 1.95 and 1.70, Which Better?

Opcom firmware 1.95 released recently, saying it works with Vaux-com 120309a and much more better than opcom 1.70 and 1.65.

Is it true? Does Opcom 1.95 any good?

 

Upload photos..

the first photo: opcom fw 1.95
the second photo: opcom fw 1.70

Opinions from three professionals/users might help you.

 

  1. opcom 1.95 and 1.70 – the same

 

I can see that the 1.95 and the 1.70 are the exactly the same.

From photos I can see difference only with some tantalum caps. In 1.95 they are through hole and in 1.70 they are the smd type. Also you can see from the pictures they have the same silkscreen markings C20 and C21, also rest of components have the same markings. Also the firmware number of the 1.70 is fake as said mattydr67.
Also I think the Opcom V1.70 have better PCB quality compared to another version 1.95

 

  1. original PIC chip – the most important

 

Most important is to have an original PIC chip that can program new firmware.

The version 1.70 have a flashable PIC mcu inside. I kill my Opcom twice and I flashed it with PICkit 2 without any problems, but the problem was not with mcu and with FT232 with wrong firmware. Also in ver. 1.70 there is ICSP connector with which you can flash MCU directly with PICkit programmer.

 

  1. opcom 1.64 – last official

 

The last official firmware is 1.64
Check also the official op-com.hu and you will see there the newest firnware version that it will come in the new version of opcom and it will be fw1.66
So I suppose I answare to you about this new firmwares versions that all are fake one.
For vaux-com 120309a you need only Opcom fw1.45
Even you are using the fake vauxcom 120309a+131223a version you need also fw1.45
Not any newer. But you can use any newer versions of firnware but you will have nothing new and it will not help you more then fw1.45

To answare to your question about which tool to buy the DO NOT buy the last one. ( its using a not real MCU )

Good luck

 

  1. opcom clone – firmware 1.45

 

People advertise opcom as v1.65 or v1.70 ( I really don’t know if this is real because the opcom v16xxxx was in Polish not English ) for the one who don’t even know what they buy.

Opcom is a tool that use opcom software. The last opcom version is 150406 EN and 150506 DE.
Both is ask to upgrade the firmware in the opcom tool to fw 1.64

 

So for opcom clones:
– if you are using opcom china clone 08-2010 which is actually opcom 100219a then the tool must have fw1.39 ( no newer )
-if you are using vauxcom 120309a ( w/ or w/o new data base ) you need to use opcom fw v1.45 ( no newer )

 

 

About opcom firmware

There is OP-COM v5 which is using PIC18F458 ( the real one ) and the OP-COM v6 which is using fake PIC ( PIC18F45K80)

Also all chinese clones are Revision B hardware

There is a way to make an adaptor to use a china clone Revision B and Revision C ( can connect to CH-CAN )

There is also Revision D+ hardware ( also for clones). The difference is that D+ has no relayes

There are HQ clone that use their own software. Real software including 150406b/d EN and 150596a DE

The hardware is a China clone opcom v5 and there is Revision B or Revision C too

 

About opcom update

You need to try an upgrade the opcom software not the firmware.

The new firmware will not give you nothing new unless you will use the newer opcom/vauxcom version

My advice is to install vauxcom 120309a and you will see that it will upgrade the firmware automatically to the version that its method.

All the rest will waiste your time

 

So this is all you have to know about opcom clones.

If you buy a clone you have to use opcom 100219 ( china clone 08-2010)/fw1.39or vauxvom 120309a ( w/ or w/o new database – fake versions actually )/fw1.45

Good luck!!

 

Opcom manual http://obd2-diag.blogspot.com/2016/01/opcom-fw-v170-165-164-160-159-145-vaux.html

 

 

eobdtool.co.uk